Bug 227089 - Review Request: msv-1.2-0.20050722.2jpp - Multischema Validator
Review Request: msv-1.2-0.20050722.2jpp - Multischema Validator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wringe
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:47 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 14:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mwringe: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:47:51 EST
Spec URL: http://people.redhat.com/rafaels/specs/msv-1.2-0.20050722.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/msv-1.2-0.20050722.2jpp.src.rpm
Description: The Sun Multi-Schema XML Validator (MSV) is a Java
technology tool to validate XML documents against
several kinds of XML schemata. It supports RELAX NG,
RELAX Namespace, RELAX Core, TREX, XML DTDs, and a
subset of XML Schema Part 1. This latest (version 1.2)
release includes several bug fixes and adds better
conformance to RELAX NG/W3C XML standards and JAXP
masquerading.

MSV proper.

Javadoc for MSV proper.

Samples for msv.

Relames.

Javadoc for relames.

rngconv.

xmlgen.

Javadoc for xmlgen.

xsdlib.

Javadoc for xsdlib.

Documents for msv.
Comment 1 Vivek Lakshmanan 2007-02-13 21:01:53 EST
I am taking this one.
Comment 2 Vivek Lakshmanan 2007-02-15 14:20:31 EST
X suggests the subsection needs attention
+ is a positive comment
. is a specific comment about a problem

MUST:
X* package is named appropriately
 - match upstream tarball or project name
   . The source does not match the CVS tag it claims. There is an extra class
     in the sources which is not in the tag. Use the msv-20060821 tag to
     extract the missing class:
msv/xsdlib/src/com/sun/msv/datatype/xsd/DateType.java

 - try to match previous incarnations in other distributions/packagers for
consistency
 + OK
 - specfile should be %{name}.spec
 + OK
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 . Needs to conform to JPackage exception naming convention

X* is it legal for Fedora to distribute this?
 - OSI-approved
 . Seems OK, though I would like to get clearance from an experienced Fedora
   reviwer to ensure the licensing terms are clear for import?
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
 + Dont think any of these apply

* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
   + Seems OK, though I would like to get clearance from an experienced Fedora
   reviwer to ensure the licensing terms are clear for import?
* specfile name matches %{name}
   + OK

X* verify source and patches (md5sum matches upstream, know what the patches do)
   + There is a missing class in the claimed tag 20050722, I suggest replacing
     the tar ball with a clean export, see above

 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
  . Add instructions on how the source should be exported
* skim the summary and description for typos, etc.
  + OK
X* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  + Needs to be fixed
 
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
  + Needs to conform to the fedora jpackage exception

X * license text included in package and marked with %doc
  . Needs a lot of %doc-ing

* keep old changelog entries; use judgement when removing (too old?
useless?)
  + N/A
* packages meets FHS (http://www.pathname.com/fhs/)
  + OK

* rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
  ?

* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
  + OK

* Packager tag should not be used
  + OK

* Vendor tag should not be used
  + OK
* Distribution tag should not be used
  + OK
* use License and not Copyright 
  + OK
* Summary tag should not end in a period
  + OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
  + OK
* specfile is legible
 - this is largely subjective; use your judgement
X* package successfully compiles and builds on at least x86
  . doesnt compile due to missing BRs.

* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
  + OK
* description expands upon summary (don't include installation
instructions)
  + OK
X * make sure lines are <= 80 characters
  + Some lines are larger but they are macro definitions, this can possibly
    fly
* specfile written in American English
  + OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
  + N/A

* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
  + None of the above dont apply

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
  + OK
  
* don't use %makeinstall
  + OK
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
  + OK
* consider using cp -p to preserve timestamps
  + OK
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
  + Not relocatable

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
  + OK
X* package should own all directories and files
  + Need jpackage-utils in requires...

* there should be no %files duplicates
  + OK
* file permissions should be okay; %defattrs should be present
  + OK
* %clean should be present
  + OK
* %doc files should not affect runtime
  + OK
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
  + Not a webapp
* verify the final provides and requires of the binary RPMs
X* run rpmlint on the binary RPMs
  . Doesnt build on mock or on JPackage reference machine since it needs
    crimson
    Source:
rpmlint -i msv-1.2-0.20050722.3jpp.src.rpm 
W: msv non-standard-group Text Processing/Markup/XML
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

W: msv unversioned-explicit-provides msv-strict
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

W: msv unversioned-explicit-obsoletes msv-strict
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: msv unversioned-explicit-provides msv-strict-javadoc
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

W: msv unversioned-explicit-obsoletes msv-strict-javadoc
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: msv unversioned-explicit-provides xsdlib
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

W: msv unversioned-explicit-obsoletes xsdlib
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: msv unversioned-explicit-provides xsdlib-javadoc
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

W: msv unversioned-explicit-obsoletes xsdlib-javadoc
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.



SHOULD:
* package should include license text in the package and mark it with %doc
  + OK
X* package should build on i386
  . Doesnt build on mock

X* package should build in mock
  . Doesnt build on mock
  
Comment 3 Vivek Lakshmanan 2007-02-15 18:18:22 EST
I have put together a proposed srpm for Matt. Please start from this:
http://tequila-sunrise.ath.cx/rpmreviews/F7/msv/msv-1.2-0.1.20050722.3jpp.1.fc7.src.rpm


Assigning to Andrew Overholt.
Comment 4 Andrew Overholt 2007-02-16 11:41:01 EST
Updated SRPM and spec:

http://overholt.ca/fedora/msv.spec
http://overholt.ca/fedora/msv-1.2-0.1.20050722.3jpp.1.src.rpm

The only rpmlint warning is on the demo sub-package about not having any
documentation.  I think this is fine.
Comment 5 Matt Wringe 2007-02-19 15:16:30 EST
Looks good to me. APPROVED

Comment 6 Warren Togami 2007-03-06 13:25:28 EST
Who will be the owner?  You didn't request this with all needed information.
Comment 7 Matt Wringe 2007-03-06 13:31:58 EST
Sorry, adding that now:

New Package CVS Request
=======================
Package Name: msv
Short Description: Multischema Validator
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 

Comment 8 Dennis Gilmore 2007-03-08 21:00:23 EST
Branched
Comment 9 Jochen Schmitt 2011-12-13 11:22:56 EST
Package Change Request
======================
Package Name: msv
New Branches: el6
Owners: s4504kr

Package owner should confirm to this request. I have tried to contact original package owner but didn't saw any response, os I asume he is MIA.
Comment 10 Jon Ciesla 2011-12-13 11:24:40 EST
Git done (by process-git-requests).
Comment 11 Mat Booth 2011-12-17 12:42:49 EST
Yes, I am fine with this.
Comment 12 Jon Ciesla 2011-12-18 16:31:01 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.